/* From Uiverse.io by cssbuttons-io */ 
.homebutton {
  --color: blue;
  font-family: inherit;
  display: inline-block;
  width: 70px;
  height: 30px;
  line-height: normal;
  margin: 0px;
  position: relative;
  cursor: pointer;
  overflow: hidden;
  border: 2px solid var(--color);
  transition: color 0.5s;
  transition: transform 0.2s ease-in-out;
  z-index: 1;
  font-size: 10px;
  border-radius: 6px;
  font-weight: 500;
  color: var(--color);
}

.homebutton:before {
  content: "";
  position: absolute;
  z-index: -1;
  background: var(--color);
  height: 150px;
  width: 200px;
  border-radius: 50%;
}

.homebutton:hover {
  color: #fff;
  transform: scale(1.1);
}

.homebutton:before {
  top: 100%;
  left: 100%;
  transition: all 0.7s;
}

.homebutton:hover:before {
  top: -30px;
  left: -30px;
}

.homebutton:active:before {
  background: #3a0ca3;
  transition: background 0s;
}





.sobutton {
  --color: grey;
  font-family: inherit;
  display: inline-block;
  width: 70px;
  height: 30px;
  line-height: normal;
  margin: 0px;
  position: relative;
  cursor: pointer;
  overflow: hidden;
  border: 2px solid var(--color);
  transition: color 0.5s;
  transition: transform 0.2s ease-in-out;
  z-index: 1;
  font-size: 10px;
  border-radius: 6px;
  font-weight: 500;
  color: var(--color);
}

.sobutton:before {
  content: "";
  position: absolute;
  z-index: -1;
  background: var(--color);
  height: 150px;
  width: 200px;
  border-radius: 50%;
}

.sobutton:hover {
  color: #fff;
  transform: scale(1.1);
}

.sobutton:before {
  top: 100%;
  left: 100%;
  transition: all 0.7s;
}

.sobutton:hover:before {
  top: -30px;
  left: -30px;
}

.sobutton:active:before {
  background: #3a0ca3;
  transition: background 0s;
}







.resbutton {
  --color: green;
  font-family: inherit;
  display: inline-block;
  width: 70px;
  height: 30px;
  line-height: normal;
  margin: 0px;
  position: relative;
  cursor: pointer;
  overflow: hidden;
  border: 2px solid var(--color);
  transition: color 0.5s;
  transition: transform 0.2s ease-in-out;
  z-index: 1;
  font-size: 10px;
  border-radius: 6px;
  font-weight: 500;
  color: var(--color);
}

.resbutton:before {
  content: "";
  position: absolute;
  z-index: -1;
  background: var(--color);
  height: 150px;
  width: 200px;
  border-radius: 50%;
}

.resbutton:hover {
  color: #fff;
  transform: scale(1.1);
}

.resbutton:before {
  top: 100%;
  left: 100%;
  transition: all 0.7s;
}

.resbutton:hover:before {
  top: -30px;
  left: -30px;
}

.resbutton:active:before {
  background: #3a0ca3;
  transition: background 0s;
}










.newentrybutton {
  color: #ecce0bed;
  background-color: #5a4f06;
  border: 1.5px solid #ecce0beb;
  border-radius: 10px;
  padding: 0 5px;
  cursor: pointer;
  height: 30px;
  width: max-content;
  font-size: 0.8cqmax;
  transition: all 0.2s ease-in-out;
  display: flex;
  align-items: center;
  justify-content: center;
}
.newentrybutton:hover {
  transform: scale(1.1);
  background-color: #ecce0bed;
  color: #5a4f06;
  border-color: #817000;
  border-width: 2px;
}




.editbutton {
  color: #ecce0bed;
  background-color: #201f18de;
  border: 1.5px solid #ecce0beb;
  border-radius: 15px;
  padding: 0 5px;
  cursor: pointer;
  height: 40px;
  width: 120px;
  font-size: 15px;
  font-weight: bold;
  transition: all 0.2s ease-in-out;
  display: flex;
  align-items: center;
  justify-content: center;
}
.editbutton:hover {
  transform: scale(1.1);
  background-color: #ecce0beb;
  color: #201f18de;
  border-color: #201f18de;
}




.viewbutton {
  color: #d6bd97;
  background-color: #615252;
  border: 1.5px solid #d6bd97;
  border-radius: 15px;
  padding: 0 5px;
  cursor: pointer;
  height: 40px;
  width: 120px;
  font-size: 15px;
  font-weight: bold;
  transition: all 0.2s ease-in-out;
  display: flex;
  align-items: center;
  justify-content: center;
}
.viewbutton:hover {
  transform: scale(1.1);
  background-color: #d6bd97;
  color: #615252;
  border-color: #615252;
}





.editsubbutton {
  color: #089f00ed;
  background-color: #52473e; 
  border: 1.5px solid #089f00ed;
  border-radius: 30px;   
  padding: 2px;
  cursor: pointer;
  height: 40px;
  width: 150px;
  margin-bottom: 50px;
  font-size: 16px; 
  font-weight: bold;  
  border-radius: 30px; 
  transition: all 0.2s ease-in-out;
  text-align: center; 
  display: flex; 
  align-items: center; 
  justify-content: center;
  align-self: end;
  justify-self: center;   
  grid-row: 2/3;
  grid-column: 2/3;
}

.editsubbutton:hover {
  transform: scale(1.1);
  background-color: #089f00ed;
  color: #52473e;
  border-color: #52473e;
}







/* From Uiverse.io by reshades */ 
.backbutton {
  background-color: #ffffff78;
  color: #444d81;
  width: 8.5em;
  height: 2.9em;
  border: #444d81 0.2em solid;
  border-radius: 11px;
  text-align: right;
  transition: all 0.6s ease;
}

.backbutton:hover {
  background-color: #1a1f39bd;
  color: #fff;
  cursor: pointer;
}

.backbutton svg {
  width: 1.6em;
  margin: -0.2em 0.8em 1em;
  position: absolute;
  display: flex;
  transition: all 0.6s ease;
  transform: rotateY(180deg);
}

.backbutton:hover svg {
    transform: rotateY(180deg) translateX(5px);
}

.backtext {
  margin: 0 1.5em
}







/*---------------------------------------------------------------------------------------------------------------------*/




#navbody {
  width: 250px;
  height: 25px;
  background-color: rgb(33, 159, 213);
  border-radius: 40px;
  box-shadow: 0px 10px 15px rgba(0, 0, 0, 0.041);
  align-items: center;
  justify-content: center;
  align-content: center;
  display: grid;
  margin-right: 20px;
}

.ul {
  list-style: none;
  width: 100%;
  background-color: transparent;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
  margin-top: 25px;
  margin-right: 40px;
}

.ul .li {
  display: inline-block;
}

.radio {
  display: none;
}

.svg {
  width: 20px;
  height: 70px;
  opacity: 80%;
  cursor: pointer;
  padding: 13px 20px;
  transition: 0.2s;
}

.ul .li .svg:hover {
  transition: 0.1s;
  color: rgb(235, 40, 176);
  position: relative;
  margin-top: -4px;
  opacity: 100%;
}

.radio:checked + label .li .svg {
  color: rgb(235, 40, 176);
  fill-rule: evenodd;
}



/*----------------------------------------------------------------------------------------------------------------------*/



.tabhead {
    text-align: center;
    overflow: hidden;
    border-left: 0px;
    border-right: 0px;
    border-bottom: 1px;
    border-top: 0px;
    border-color: black;
    border-style: solid;
    display: flex;
    align-items: center;
    align-content: center;
    justify-content: center;
    font-size: 1.2cqmax;
}

.tabbody {
    border: 0.5px;
    border-color: black;
    border-style: solid;
    display: flex;
    align-items: flex-start;
    align-content: flex-start;
    justify-content: flex-start;
    font-size: 10px;
    height: 24px; 
    overflow-y: auto; 
    padding: 3px;
}





/*----------------------------------------------------------------------------------------------------------------------*/






